/*
Author: Per P Lovgren
(c) Copyright:
            Per P Lovgren
            SwedepwrApps
            swedepwr@swedepwr.com
*/
/* 
    Created on : Sep 27, 2017, 1:24:26 PM
    Author     : Per
*/

/* Sticky footer styles
    -------------------------------------------------- */

    html,
    body {
        height: 100%;
        /* The html and body elements cannot have any padding or margin. */
    }

    /* Wrapper for page content to push down footer */
    #wrap {
        min-height: 100%;
        height: auto !important;
        height: 100%;
        /* Negative indent footer by it's height */
        margin: 0 auto -60px;
    }

    /* Set the fixed height of the footer here */
    #push,
    #footer {
        height: 60px;
        text-align: center;		
    }
    #footer {
        background-color: #f5f5f5;
    }

    /* Lastly, apply responsive CSS fixes as necessary */
    @media (max-width: 767px) {
        #footer {
            margin-left: -20px;
            margin-right: -20px;
            padding-left: 20px;
            padding-right: 20px;
        }
    }

.error {
    color: red;
}
/* table {
    width: 100%;
    border-spacing: 0;
    border-collapse: collapse;
} */


.border {
    border-style: solid;
    border-color: red;
    height: 570px;
}

.thumbnail {
    display: inline-block;
}

.content-section {
    background: #f5f3f3ec;
    padding: 10px 20px;
    border: 1px solid #dddddd;
    border-radius: 3px;
    margin-bottom: 20px;
}

/* Sticky footer styles
    -------------------------------------------------- */

    html,
    body {
        height: 100%;
        /* The html and body elements cannot have any padding or margin. */
    }

    /* Wrapper for page content to push down footer */
    #wrap {
        min-height: 100%;
        height: auto !important;
        height: 100%;
        /* Negative indent footer by it's height */
        margin: 0 auto -60px;
    }

    /* Set the fixed height of the footer here */
    #push,
    #footer {
        height: 60px;
        text-align: center;		
    }
    #footer {
        background-color: #f5f5f5;
    }

    /* Lastly, apply responsive CSS fixes as necessary */
    /* @media (max-width: 767px) {
        #footer {
            margin-left: -20px;
            margin-right: -20px;
            padding-left: 20px;
            padding-right: 20px;

        }
    } */
    #specTable, #specTable td, #specTable td > input, #specTable th > input, #specTable td > select, #specTable td > textarea {
        /* font-size: 14px; */
        /* table-layout: fixed; */
        width: 100%;
         /* height: 14px; */
        /* padding: 2px; */
        /* vertical-align: middle; */
       
        /* text-align: center; */
    }  

    #spec, #spec td, #spec td > input, #spec td > select {
        /* font-size: 10px; */
        /* table-layout: fixed; */
        width: 100%;
         /* height: 20px; */
         /* padding: 2px; */
        
     } 

     #cal-device,  #cal-device td, #cal-device td > input, #cal-device td > select { 
        /* font-size: 10px; */
        /* table-layout: fixed; */
        width: 100%;
         /* height: 20px; */
         /* padding: 2px; */
     } 
    
     #table-area, #table-area td, #table-area td > input, #table-area td > select, #table-area th > select { 
        /* font-size: 10px; */
        /* table-layout: fixed; */
        width: 100%;
         /* height: 20px; */
         /* padding: 2px; */
     } 
    .tw{
        width: 5%;
    }
    .tw1{
        width: 10%;
    }
    .tw15{
        width: 15%;
    }
    .tw2{
        width: 20%;
    }
    .tw3{
        width: 30%;
    }
    .tw4{
        width: 40%;
    }
    .tw5{
        width: 50%;
    }
    
    input.checkbox {
        /* margin: -2px; */
        line-height: normal;
        cursor: pointer;
        vertical-align: middle;
       
    }
    .checkbox{
        min-height: 18px;
     vertical-align: middle;
    }
    .checkbox1{
        text-align: center;
        vertical-align: bottom;
        
    }
    .table td, .table th,.table thead th {
        vertical-align: middle;
    }
    div.ex
    {
    width:190px;
    height:82px;
    padding:1px;
    border:2px solid gray;
    margin:0px;
    }
    /* tr td{
        height: calc(1em + 1rem + 4px);
    } */
    table .form-control{
        height: calc(1em + .55rem + 2px);
        padding: .1rem .3rem;
        vertical-align: middle;
    }
    table .custom-select{
        height: calc(1em + .55rem + 2px);
        padding: .1rem .3rem;
        vertical-align: middle;
    }
    @media screen and (min-width: 576px) {
        .btn, tr, .custom-select, .form-control,label {
          font-size: .5rem;
        }
      }
    @media screen and (min-width: 768px) {
        .btn, tr, .custom-select, .form-control ,label {
          font-size: .6rem;
        }
      }
    @media screen and (min-width: 992px) {
        .btn, tr, .custom-select ,.form-control,label {
          font-size: .9rem;
        }
      }
      @media screen and (min-width: 1200px) and (max-width: 768px) {
        .btn, tr, .custom-select, .form-control,label {
          font-size: 1rem;
        }
      }

      .switch {
        position: relative;
        display: inline-block;
        width: 40px;
        height: 20px;        
      }
      
      .switch input { 
        opacity: 0;
        width: 0;
        height: 0;
      }
      
      .slider {
        position: absolute;
        cursor: pointer;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        background-color: #ccc;
        -webkit-transition: .4s;
        transition: .4s;
      }
      
      .slider:before {
        position: absolute;
        content: "";
        height: 18px;
        width: 18px;
        left: 2px;
        bottom: 1px;
        background-color: white;
        -webkit-transition: .4s;
        transition: .4s;
      }
      
      input:checked + .slider {
        background-color: #2196F3;
      }
      
      input:focus + .slider {
        box-shadow: 0 0 1px #2196F3;
      }
      
      input:checked + .slider:before {
        -webkit-transform: translateX(18px);
        -ms-transform: translateX(18px);
        transform: translateX(18px);
      }
      
      /* Rounded sliders */
      .slider.round {
        border-radius: 20px;
      }
      
      .slider.round:before {
        border-radius: 50%;
      }

     /* Popup box BEGIN */
.hover_bkgr_fricc{
    /* background:rgba(0,0,0,.4); */
    cursor:pointer;
    display:none;
    height:100%;
    /* position:fixed; */
    text-align:center;
    top:0;
    width:100%;
    z-index:10000;
}
.hover_bkgr_fricc .helper{
    display:inline-block;
    height:100%;
    vertical-align:middle;
}
.hover_bkgr_fricc > div {
    background-color: #fff;
    box-shadow: 10px 10px 60px #555;
    display: inline-block;
    height: auto;
    max-width: 551px;
    min-height: 100px;
    vertical-align: middle;
    width: 60%;
    position: relative;
    border-radius: 8px;
    padding: 15px 5%;
}
.popupCloseButton {
    background-color: #fff;
    border: 3px solid #999;
    border-radius: 50px;
    cursor: pointer;
    display: inline-block;
    font-family: arial;
    font-weight: bold;
    position: absolute;
    top: -20px;
    right: -20px;
    font-size: 25px;
    line-height: 30px;
    width: 30px;
    height: 30px;
    text-align: center;
}
.popupCloseButton:hover {
    background-color: #ccc;
}
.trigger_popup_fricc {
    cursor: pointer;
    font-size: 16px;
    margin: 4px;
    display: inline-block;
    font-weight: bold;
}
/* Popup box BEGIN */
#userCalTablePopUp{
    /* background-color:steelblue; */
    width:700px;
    height:400px;
    display:none;
    position:fixed;
    top:40%;
    left:40%;
    margin:-150px 0 0 -150px;
}  
#userCalTable{
    border: 1px solid slategrey;
    width: 100%;
}   
#userCalTable th{
    border: 1px solid black;
    background-color: rgb(140, 180, 212);
    height: 30px;
    padding: 4px 4px 4px 10px;
   /* text-align: center; */
}  
#userCalTable tr:nth-child(even){
    background-color: rgb(113, 155, 189);
} 
#userCalTable tr:nth-child(odd){
    background-color: steelblue;
} 
#userCalTable td{
    /* background-color: steelblue; */
    border: 1px solid slategrey;
    height: 20px;
    padding: 4px 4px 4px 10px;
    color: white;
}  
/* #userCalTable td:nth-child(2){
   
}     */
   